#pragma once
#include <map>
struct M_fish_schemeData
{
	//ID
	int mID;
	//怪物ID
	int mmonster_id;
	//鱼阵方案组
	int mfish_group;
	//数量
	int mnum;
};

class M_fish_scheme
{
public:
private:
	static std::auto_ptr<M_fish_scheme> msSingleton;
public:
	int GetCount();
	const M_fish_schemeData* GetData(int ID);
	const std::map<int, M_fish_schemeData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_fish_scheme* GetSingleton();
	static void Release();
private:
	std::map<int, M_fish_schemeData> mMapData;
};
